import { filesReducers } from './files-reducer';
import { editReducers } from './edit-reducer';
declare type FilesReducers = typeof filesReducers;
declare type EditReducers = typeof editReducers;
declare type FilesState = {
    [K in keyof FilesReducers]: ReturnType<FilesReducers[K]>;
};
declare type EditState = {
    [K in keyof EditReducers]: ReturnType<EditReducers[K]>;
};
export declare namespace Store {
    type Files = FilesState & EditState;
}
export {};
