import { IEdit } from '@files-stack/client-core';
import { EditAction as Action } from '../actions';
declare function edit(state: IEdit, action: Action): IEdit;
declare function allSave(state: boolean, action: Action): boolean;
declare function editorSubscribes(state: any[], action: Action): string[];
declare function changedContentResource(state: string, action: Action): string;
declare function overwriteConflictsResource(state: string, action: Action): string;
declare function discardConflictsResource(state: string, action: Action): string;
export declare const editReducers: {
    files_stack__edit: typeof edit;
    files_stack__allSave: typeof allSave;
    files_stack__editorSubscribes: typeof editorSubscribes;
    files_stack__changedContentResource: typeof changedContentResource;
    files_stack__overwriteConflictsResource: typeof overwriteConflictsResource;
    files_stack__discardConflictsResource: typeof discardConflictsResource;
};
export {};
