export { Store } from './Store';
import { IFilesMutate, IFileStat, INodeFileStat, IEdit, IFinderOptions } from '@files-stack/client-core';
export declare const reducers: {
    files_stack__edit: (state: IEdit, action: import("..").EditAction) => IEdit;
    files_stack__allSave: (state: boolean, action: import("..").EditAction) => boolean;
    files_stack__editorSubscribes: (state: any[], action: import("..").EditAction) => string[];
    files_stack__changedContentResource: (state: string, action: import("..").EditAction) => string;
    files_stack__overwriteConflictsResource: (state: string, action: import("..").EditAction) => string;
    files_stack__discardConflictsResource: (state: string, action: import("..").EditAction) => string;
    files_stack__selectedFile: (state: IFileStat, action: import("..").FilesAction) => IFileStat;
    files_stack__rootpath: (state: string, action: import("..").FilesAction) => string;
    files_stack__refresh: (state: number, action: import("..").FilesAction) => number;
    files_stack__mutate: (state: IFilesMutate, action: import("..").FilesAction) => IFilesMutate;
    files_stack__dragOveredFile: (state: INodeFileStat, action: import("..").FilesAction) => INodeFileStat;
    files_stack__editorsExpand: (state: boolean, action: import("..").FilesAction) => boolean;
    files_stack__rootExpand: (state: boolean, action: import("..").FilesAction) => boolean;
    files_stack__subscriber: (state: any, action: import("..").FilesAction) => any;
    files_stack__creatingFile: (state: any, action: import("..").FilesAction) => any;
    files_stack__treeData: (state: any, action: import("..").FilesAction) => any;
    files_stack__finderOptions: (state: IFinderOptions, action: import("..").FilesAction) => IFinderOptions;
    files_stack__reloadTreeData: (state: boolean, action: import("..").FilesAction) => boolean;
};
