import { IFilesMutate, IFileStat, INodeFileStat, IFinderOptions } from '@files-stack/client-core';
import { FilesAction as Action } from '../actions';
declare function refresh(state: number, action: Action): number;
declare function selectedFile(state: IFileStat, action: Action): IFileStat;
declare function rootpath(state: string, action: Action): string;
declare function mutateFiles(state: IFilesMutate, action: Action): IFilesMutate;
declare function dragOveredFile(state: INodeFileStat, action: Action): INodeFileStat;
declare function editorsExpand(state: boolean, action: Action): boolean;
declare function subscriber(state: any, action: Action): any;
declare function creatingFile(state: any, action: Action): any;
declare function treeData(state: any, action: Action): any;
declare function rootExpand(state: boolean, action: Action): boolean;
declare function finderOptions(state: IFinderOptions, action: Action): IFinderOptions;
declare function reloadTreeData(state: boolean, action: Action): boolean;
export declare const filesReducers: {
    files_stack__selectedFile: typeof selectedFile;
    files_stack__rootpath: typeof rootpath;
    files_stack__refresh: typeof refresh;
    files_stack__mutate: typeof mutateFiles;
    files_stack__dragOveredFile: typeof dragOveredFile;
    files_stack__editorsExpand: typeof editorsExpand;
    files_stack__rootExpand: typeof rootExpand;
    files_stack__subscriber: typeof subscriber;
    files_stack__creatingFile: typeof creatingFile;
    files_stack__treeData: typeof treeData;
    files_stack__finderOptions: typeof finderOptions;
    files_stack__reloadTreeData: typeof reloadTreeData;
};
export {};
